
body {
    /* max-width: 1800px !important; */
    margin: auto;
    
}

/* ===== FULL SCREEN LOADER ===== */
#school-loader {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: linear-gradient(135deg, #8EFFDB, #c9f7e8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Container */
.loader-container {
    text-align: center;
    color: #024a26;
    font-family: Arial, Helvetica, sans-serif;
}

/* Dolphin Animation */
.dolphin {
    font-size: 80px;
    animation: swim 2s ease-in-out infinite;
}

/* Swim Effect */
@keyframes swim {
    0% {
        transform: translateX(-20px);
    }

    50% {
        transform: translateX(20px);
    }

    100% {
        transform: translateX(-20px);
    }
}

/* School Name */
.loader-container h2 {
    margin-top: 10px;
    font-size: 2rem;
}

/* Loading Text */
.loading-text {
    margin-top: 5px;
    font-size: 1.2rem;
}

/* Animated Dots */
.dots span {
    display: inline-block;
    width: 10px;
    height: 10px;
    margin: 5px;
    background-color: #024a26;
    border-radius: 50%;
    animation: blink 1.4s infinite both;
}

.dots span:nth-child(1) {
    animation-delay: 0s;
}

.dots span:nth-child(2) {
    animation-delay: 0.2s;
}

.dots span:nth-child(3) {
    animation-delay: 0.4s;
}

@keyframes blink {
    0% {
        opacity: 0.2;
    }

    20% {
        opacity: 1;
    }

    100% {
        opacity: 0.2;
    }
}